body, html {
    color: whitesmoke;
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    align-items: center;
    background-color: #000000;
    background-image: url('../img/webpage/index_background.png'); /* Replace with the path to your image */
    background-attachment: fixed; /* Keeps the background image fixed */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.main-center {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    margin: auto;
}

.main-header {
    top: 0;
    left: 0;
    width: 100vw;
    display: flex;
    justify-content: center;
    z-index: 1000;
    background: none; /* Let .headerLinks handle background */
    margin: 0;
    padding: 0;
}

.container {
    justify-content: center;
    background-color: rgba(106, 106, 106, 0.6);
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    max-width: 800px;
    width: 100%;
    text-align: center;
}

.headerLinks {
    background-color: rgba(64, 64, 64, 0.6);
    padding: 5px;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    max-width: 800px;
    width: 100%;
    text-align: center;
}

.center-form {
    background-color: rgb(132, 132, 132, 0.6); /* Semi-transparent background */
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /*            max-width: 400px;*/
    /*width: 100%;*/
    text-align: center;
}


/* Style for unvisited links */
a:link {
    color: lightgray;
    text-decoration: none; /* Remove underline */
}
/* Style for visited links */
a:visited {
    color: lightgray;
    text-decoration: none; /* Remove underline */
}

/* Style for hovered links */
a:hover {
    color: lightslategray;
    text-decoration: none; /* Remove underline on hover */
}

/* Style for active links */
a:active {
    color: red;
    text-decoration: none; /* Remove underline on active */
}



/* css effects, Loading Screen Spinner */
.slow-spin {
  animation: spin 3s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}